
// Calculate flux over faces

{

  // Reset flux vector
  Drho  = Drho*0.0;
  DrhoU = DrhoU*0.0;
  DrhoE = DrhoE*0.0;


  //////////////////////////////
  // Loop over internal faces //
  //////////////////////////////
  for (label faceI = 0; faceI < mesh.nInternalFaces(); faceI++)
    {
      // Calculate flux and put in Drho,DrhoU,DrhoE
#     include "conv_interior.H"
    }
  
  //////////////////////////////
  // Loop over boundaries     //
  //////////////////////////////
  forAll(mesh.boundaryMesh(), ib)
    {
      // What physical type of boundary
      word phType = mesh.boundaryMesh()[ib].physicalType();
      
      // Wall
      if (phType == "wall")
	{
	  label startFace = mesh.boundaryMesh()[ib].start();
	  label nFaces    = mesh.boundaryMesh()[ib].size();
	  for (label faceI = startFace; faceI < startFace + nFaces; faceI++)
	    {
	      // Calculate flux at walls and put in Drho,DrhoU,DrhoE
#             include "conv_wall.H"
	    }
	}

      // IOflow
      if (phType == "ioflow")
	{
	  label startFace = mesh.boundaryMesh()[ib].start();
	  label nFaces    = mesh.boundaryMesh()[ib].size();
	  for (label faceI = startFace; faceI < startFace + nFaces; faceI++)
	    {
	      // Calculate flux at walls and put in Drho,DrhoU,DrhoE
#             include "conv_ioflow.H"
	    }
	}
    }
}




//label patchID = mesh.boundaryMesh().findPatchID("sides");
//label startFace = mesh.boundaryMesh()[patchID].start();
//label nFaces    = mesh.boundaryMesh()[patchID].size();
      
